Bug 239811 - Review Request: agistudio - AGI integrated development environment
Review Request: agistudio - AGI integrated development environment
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-11 10:07 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-29 13:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-05-11 10:07:49 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/agistudio/agistudio.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/agistudio/agistudio-1.2.3-1.src.rpm
Description: AGI (Adventure Game Interpreter) is the adventure game engine used by
Sierra On-Line(tm) to create some of their early games. QT AGI Studio
is a program which allows you to view, create and edit AGI games.

This can use either NAGI or Sarien as a testing interpreter.  I will be submitting NAGI for review also.
Comment 1 Xavier Lamien 2007-05-11 10:54:12 EDT
i'll check this out
Comment 2 Xavier Lamien 2007-05-12 21:49:43 EDT

%install section

 cp help/* %{buildroot}%{_datadir}/agistudio/help
 cp -r template/* %{buildroot}%{_datadir}/agistudio/template
You SHOULD keep timstamps on template and help files (included sub-directories)
and paste right permission on them,
so the use of 'install [option]' is more suitable, just like below:

 install -p -m 0664 help/* %{buildroot}%{_datadir}/agistudio/help
 install -p -m 0664 template/* %{buildroot}%{_datadir}/agistudio/template

install -m 755 -d template %{buildroot}%{_datadir}/agistudio/template
install -m 755 -d help %{buildroot}%{_datadir}/agistudio/help

Those above can be improved :

install -D (or mkdir -p) %{buildroot}%{_datadir}/agistudio/template
install -D (or mkdir -p) %{buildroot}%{_datadir}/agistudio/help

cp -a src/app_icon.xpm %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm

Use 'install -p -m 0664' instead of 'cp -a'
the use of -a option isn't necessary (is the same as -dpR where not really needded)

From %files section

i think that the help files should be installed in /usr/share/doc/[package_name]
Comment 3 Jon Ciesla 2007-05-14 12:14:38 EDT
Fixed, but the build dies on:
 install -p -m 0644 template/logdir template/object template/picdir
template/snddir template/src template/viewdir template/vol.0 template/words.tok
install: omitting directory `template/src'
error: Bad exit status from /var/tmp/rpm-tmp.67653 (%install)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.67653 (%install)

I'm using 

install -p -m 0644 template/* %{buildroot}%{_datadir}/agistudio/template

Comment 4 Xavier Lamien 2007-05-20 10:25:27 EDT
just a typo

install -p -Dm 0644 template/* %{buildroot}%{_datadir}/%{name}/template 
Comment 5 Jon Ciesla 2007-05-21 09:02:03 EDT
That didn't help.   Here's the current spec.
Spec URL: http://zanoni.jcomserv.net/fedora/agistudio/agistudio.spec

Comment 6 Xavier Lamien 2007-05-22 20:35:01 EDT
alright i on it ;)
Comment 7 Jon Ciesla 2007-05-23 13:41:44 EDT
<< install -p -Dm 0644 template/* %{buildroot}%{_datadir}/%{name}/template
>> cp -pr template/* %{buildroot}%{_datadir}/%{name}/template

fixes it.  Any problem with this?  It's the empty template/src that's the
problem, but it needs to be there.
Comment 8 Xavier Lamien 2007-05-23 19:36:24 EDT
nope but, the use of install from spec file is more appropriate.

Other things should be fix:

* From source0 tag

you should set %{name}-%{version}.tar.gz instead.
to improve future update.

* You should add help files in %{_docdir}. this should be included in the package.
  (juste add help/* in docs field)

* You should add relnotes files too in %{_docdir}, it's a ChangeLog-like and
should be included.

* i can see in package that NEW and README files are included but where did you
get them, no see in the tarball.
Comment 9 Xavier Lamien 2007-05-23 20:03:25 EDT

remove field "from source0" and 2 last SHOULD fix sentence from this review.

sorry i mixed up with another review.
Comment 10 Jon Ciesla 2007-05-24 08:12:26 EDT
Added help/*.
Spec URL: http://zanoni.jcomserv.net/fedora/agistudio/agistudio.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/agistudio/agistudio-1.2.3-2.src.rpm

And, for future reference:

1. Wake up
2. Caffeine
3. Work on Fedora
4. ???
5. Profit!!!

Comment 11 Xavier Lamien 2007-05-29 00:37:17 EDT
(in reply to comment #10)
caffeine, humm.... ^^


OK - Mock : Built on FC6 en F-7 (i386 and x86_64)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License field in spec matches
OK - License is GPL
OK - License match extras packaging policy licenses allowed
OK - License file is included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources SHOULD match upstream md5sum:
b262d55b1285967923598e53fb93fe62  agistudio-1.2.3.tar.gz
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Changelog section is correct.

OK - Should function as described.
OK - Should package latest version

Rpmlint output:
OK - silent on SRPM
NO - not silent on RPM package

E: agistudio zero-length /usr/share/agistudio/template/snddir

this error is harmless but need to be fix as the file is just a template and
contains nothing, it can be remove from package.

Comment 12 Jon Ciesla 2007-05-29 08:55:22 EDT
It actually can't be removed from the package.  When you try to create a game
from template and snddir isn't there, it fails "Can't read snddir in template
directory /usr/share/agistudio/template 1".
Comment 13 Xavier Lamien 2007-05-29 11:15:34 EDT

Ok - Taking in account the comment from [comment #12] about rpmlint error.
     this last one can be ignored : snddir is mandatory for the game.

Comment 14 Jon Ciesla 2007-05-29 11:28:37 EDT
Many thanks!

New Package CVS Request
Package Name: agistudio
Short Description: AGI integrated development environment
Owners: limb@jcomserv.net
Branches: FC-5 FC-6 F-7
Comment 15 Tom "spot" Callaway 2007-05-29 11:45:03 EDT
cvs done.
Comment 16 Jon Ciesla 2007-05-29 13:05:02 EDT
Imported and build.  Thanks all.

Note You need to log in before you can comment on or make changes to this bug.